Subject: [PATCH v5 06/10] clk: mediatek: mt8173: Fix enabling of critical clocks

From: [email-masked] (Stephen Boyd)
Date: Wed, 29 Jul 2015 17:27:54 -0700

On 07/29, James Liao wrote:
> From: Sascha Hauer <[email-masked]>
> 
> On the MT8173 the clocks are provided by different units. To enable
> the critical clocks we must be sure that all parent clocks are already
> registered, otherwise the parents of the critical clocks end up being
> unused and get disabled later.
> 
> On MT8173, for example, it is the CLK_TOP clocks that have CLK_APMIXED
> PLLs as their parents, so we cannot enable the CLK_TOP critical clocks
> until the CLK_APMIXED clocks have all been registered.
> 
> To find a place where all parents are registered we try each time
> after we've registered some clocks if all known providers are present
> now and only then we enable the critical clocks.
> 
> Signed-off-by: Sascha Hauer <[email-masked]>
> Signed-off-by: James Liao <[email-masked]>
> ---

Please move up to v4.2-rc2 so that this patch can be dropped. I
already applied this and sent it off to Linus so it's in -rc2.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project